Subject: [PATCH v3 00/31] AArch64 Linux kernel port

From: [email-masked] (Catalin Marinas)
Date: Wed, 12 Sep 2012 15:54:00 +0100

On Sat, Sep 08, 2012 at 12:25:37AM +0100, Olof Johansson wrote:
> On Fri, Sep 07, 2012 at 05:26:35PM +0100, Catalin Marinas wrote:
> > This is the 3rd version of patches implementing Linux kernel support for
> > the 64-bit ARM architecture. Most of the review comments for the
> > previous release have been implemented. There are a few left (like
> > generic timer dts specification) but the main goal was to freeze the
> > user ABI.
> > 
> > The Linux kernel patches are available on this tree:
> > 
> > git://git.kernel.org/pub/scm/linux/kernel/git/cmarinas/linux-aarch64.git upstream
> > 
> > Main changes since the previous version:
> > - ptrace interface now using regsets for TLS and hardware debug
> >   registers.
> > - sys_personality fixes. PER_LINUX is the default for all tasks (32 or
> >   64-bit) and there is no compat_sys_personality defined.
> > - Kconfig clean-up (unused symbols, AARCH32_EMULATION removed in favour
> >   of COMPAT).
> > - Clean-up of the __cpuc_* function prefixes.
> > - CPU information table implemented in C rather than assembly.
> > - __bad_* function calls replaced with BUILD_BUG.
> > - Inline get_user/put_user (code cleaner, slightly bigger kernel Image).
> > - DMA API implementation simplified, defaulting to swiotlb. It will be
> >   extended as hardware becomes available.
> > - Arch-specific code in the generic timer patch moved to arch/arm64/.
> > - Comment fixes and clarifications.
> 
> I see that a good amount of the comments I had on v2 have neither been replied
> to nor addressed.

Sorry, as I said above, my main focus was get the user ABI sorted out as
a code is public and there are people that started using it. There are
still a few emails marked as "unread" in my inbox that need to be
addressed but I did not consider them critical for version 3 of the
series. They are not forgotten, however, I'm working back through those
emails and either reply or implement the suggestions.

> Acked-by: Olof Johansson <[email-masked]>

Thanks.

-- 
Catalin